Store APIsWebhooks
Delete webhook
Deletes a webhook endpoint. Past deliveries are retained for 30 days. Requires the WEBHOOKS_WRITE scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48webhookId*string
Length
12 <= length <= 48Header Parameters
idempotency-key?string
Length
8 <= length <= 32Response Body
application/json
application/json
curl -X DELETE "https://example.com/stores/stringstring/webhooks/stringstring"{ "ok": true, "data": { "deleted": true }}